API ReferenceGroups
Search products within group
Search the products in a group with filters, search terms, includes, and sort instructions in a JSON request body.
Search the products in a group with filters, search terms, includes, and sort instructions in a JSON request body.
POST
header
AuthorizationBearer <API Key>Provide your SellApp API key as a bearer token.
group*integerThe group path parameter.
X-STORE?stringStore slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
application/json- body
filters?array<|>sort?array<>search?includes?array<>Successful response.
application/json- response
data*array<>links*meta*curl -X POST 'https://sell.app/api/v2/groups/1/products/search' \ -H 'X-STORE: launch-lab' \ -H 'Content-Type: application/json' \ -d '{ "filters": [ { "field": "id", "operator": "=", "value": 1 } ], "sort": [ { "field": "created_at", "direction": "desc" } ]}'{ "data": [ { "id": 1, "title": "Project Planning Guide", "slug": "serial", "description": "<p>I am sure of it, Pinky.</p>", "images": [], "order": 1, "visibility": "PUBLIC", "delivery_text": "", "additional_information": [], "warranty": { "text": "", "time": null, "preferredUnit": "MINUTES" }, "other_settings": { "faq": [], "video_url": "", "redirect_url": "", "product_title": "", "product_description": "" }, "deleted_at": null, "created_at": "2022-12-12T12:12:12.000000Z", "updated_at": "2022-12-12T12:12:12.000000Z", "store_id": 1, "category_id": null, "section_id": null, "section_order": null, "is_discoverable": true, "pivot": { "group_id": 1, "listing_id": 1, "order": 1 }, "default_price": { "price": "500", "currency": "USD" } } ], "links": { "first": "https://sell.app/api/v2/groups/1/products/search?page=1", "last": "https://sell.app/api/v2/groups/1/products/search?page=1", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "path": "https://sell.app/api/v2/groups/1/products/search", "per_page": 20, "to": 1, "total": 1, "links": [ { "url": null, "label": "« Previous", "active": false }, { "url": "https://sell.app/api/v2/groups/1/products/search?page=1", "label": "1", "active": true }, { "url": null, "label": "Next »", "active": false } ] }}